org.apache.lucene.facet.encoding

## Class DGapIntDecoder

- java.lang.Object
- - org.apache.lucene.facet.encoding.IntDecoder
  - - org.apache.lucene.facet.encoding.DGapIntDecoder

    public final class DGapIntDecoder
    extends IntDecoder

An `IntDecoder` which wraps another decoder and reverts the d-gap that was encoded by `DGapIntEncoder`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Constructor Summary

Constructors
Constructor and Description
`DGapIntDecoder(IntDecoder decoder)`

### Method Summary

Methods
`void` `decode(BytesRef buf, IntsRef values)` Decodes the values from the buffer into the given `IntsRef`.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DGapIntDecoder

    public DGapIntDecoder(IntDecoder decoder)

### Method Detail

#### decode

    public void decode(BytesRef buf,
              IntsRef values)

Description copied from class: `IntDecoder`
Decodes the values from the buffer into the given `IntsRef`. Note that `values.offset` is set to 0, and `values.length` is updated to denote the number of decoded values.

Specified by:
  `decode` in class `IntDecoder`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`